#import "StupidModelSwarm.h"
#import "HabitatCell.h"

@implementation HabitatCell 

+ create: aZone
{
    HabitatCell* habitatCell = [super create: aZone];

    habitatCell->myX = -1;
    habitatCell->myY = -1;
    habitatCell->cellFoodAvailable = -1.0;

    return habitatCell;
}

- setStupidModelSwarm: aStupidModelSwarm
{
    stupidModelSwarm = aStupidModelSwarm;
    return self;
}

- setCellFoodAvailable: (double) aCellFoodAvailable
{
   cellFoodAvailable = aCellFoodAvailable;
   return self;
}

- (double) getCellFoodAvailable
{
    return cellFoodAvailable;
}


- setMyX: (int) anX
{
   myX = anX;
   return self;
}

- (int) getMyX
{
    return myX;
}

- setMyY: (int)  aY 
{
   myY = aY;
   return self;
}

- (int) getMyY
{
    return myY;
}
	

	
////////////////////////////////////
//
// drawSelfOn
//
////////////////////////////////////
- drawSelfOn: (id <Raster>)  aRaster 
{
   //
   // For now, cells do not draw themselves
   //
   return self;
}

	
///////////////////////////////////
//
// growFood
//
////////////////////////////////////
- growFood
{
   double cellMaxFoodProdRate = [stupidModelSwarm getCellMaxFoodProductionRate];
   cellFoodAvailable += [uniformDblRand getDoubleWithMin: 0.0 withMax: cellMaxFoodProdRate];

   return self;
}



@end

