#import <objectbase/SwarmObject.h>
#import <gui.h>
#import <random.h>

#import "StupidBug.h"

@interface HabitatCell : SwarmObject
{
   @private 
        id stupidModelSwarm;
	int myX; 
        int myY;
        double cellFoodAvailable;
        double cellFoodProductionRate;
	double FOOD_FOR_MAX_INTENSITY;
}
	
+ create: aZone;

- setStupidModelSwarm: aStupidModelSwarm;
- setCellFoodAvailable: (double) aCellFoodAvailable;
- (double) getCellFoodAvailable;
- setCellFoodProductionRate: (double) aFoodProductionRate;
- (double) getFoodProductionRate;
- setMyX: (int) anX;
- (int) getMyX;
- setMyY: (int) aY;
- (int) getMyY;

- drawSelfOn: (id <Raster>)  aRaster;
- growFood;

@end
