#import <objectbase/SwarmObject.h>
#import <space.h>
#import <random.h>
#import <math.h>


@interface StupidPredator: SwarmObject
{
  @private
    id stupidModelSwarm;
    id <Grid2d> myBugWorld;
    id <Grid2d> myCellWorld;
    id <Grid2d> myPredWorld;
    int myX;
    int myY;

    id <List> neighborCellList; 
}

+ create: aZone;

- setStupidModelSwarm: aStupidModelSwarm;
- setBugWorld: (id <Grid2d>) aWorld;
- setCellWorld: (id <Grid2d>) aWorld;
- setPredWorld: (id <Grid2d>) aWorld;
- setRandPosition;

- drawSelfOn: (id <Raster>) aRaster;

- hunt;

- (void) drop;

@end

