#import <objectbase/SwarmObject.h>
#import <gui.h>
#import <random.h>

#import "StupidBug.h"

@interface HabitatCell : SwarmObject
{
   @private 
        double cellFoodAvailable;
        double cellMaxFoodProdRate;
	int myX; 
        int myY;
}
	
+ create: aZone;

- setMyX: (int) anX;
- (int) getMyX;
- setMyY: (int) aY;
- (int) getMyY;
- setCellFoodAvailable: (double) aCellFoodAvailable;
- (double)  getCellFoodAvailable;
- setCellMaxFoodProdRate: (double) aCellMaxFoodProdRate;
- (double) getCellMaxFoodProdRate;

- drawSelfOn: (id <Raster>)  aRaster;
- growFood;

@end
