#import <simtoolsgui/GUISwarm.h>
#import <analysis.h>
#import <space.h>
#import "StupidModelSwarm.h"

@interface StupidObserverSwarm: GUISwarm
{
  id <Zone> observerZone;

  id displayActions;
  id checkStopActions;
  id displaySchedule;

  StupidModelSwarm *stupidModelSwarm;

  id <Colormap> colormap;
  id <ZoomRaster> worldRaster;
  id <Object2dDisplay> cellDisplay;
  id <Object2dDisplay> bugDisplay;
  id <EZBin> bugSizeHistogram; 

}

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;
- update;
- checkToStop;

@end
