#import <simtoolsgui/GUISwarm.h>
#import <space.h>
#import "StupidModelSwarm.h"

@interface StupidObserverSwarm: GUISwarm
{
  id <Zone> observerZone;

  id displayActions;
  id displaySchedule;

  StupidModelSwarm *stupidModelSwarm;

  id <Colormap> colormap;
  id <ZoomRaster> worldRaster;
  id <Object2dDisplay> bugDisplay;


}

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;
- update;
- worldRasterDeath: caller;

@end
