#import <objectbase/SwarmObject.h>
#import <space.h>
#import <random.h>
#import <math.h>


@interface StupidBug: SwarmObject
{
  @private
    id stupidModelSwarm;
    id <Grid2d> myBugWorld;
    id <Grid2d> myCellWorld;
    int myX;
    int myY;
    double mySize;

    id <List> neighborCellList; 

    BOOL ImAlive;
}

+ create: aZone;

- setStupidModelSwarm: aStupidModelSwarm;
- setBugInitialSize: (double) anInitSize;
- setBugWorld: (id <Grid2d>) aWorld;
- setCellWorld: (id <Grid2d>) aWorld;
- setRandPosition;
- (double) getMySize;

- drawSelfOn: (id <Raster>) aRaster;

- move;

- (BOOL) foundACellWithX: (int) momsX 
                       Y: (int) momsY;
- (int) xnorm: (int) x;
- (int) ynorm: (int) y;

- grow;

- (int) compare: (StupidBug *) otherBug;

- (void) drop;

@end

