#import <objectbase/SwarmObject.h>
#import <space.h>
#import <random.h>
#import <math.h>


@interface StupidBug: SwarmObject
{
  @private
    id <Grid2d> myWorld;
    int myX;
    int myY;

    double mySize;
    double bugMaxConsumptionRate;
}

+ create: aZone;

- setBugInitialSize: (double) anInitSize;
- setBugMaxConsumptionRate: (double) aMaxConsumptionRate;
- setWorld: (id <Grid2d>) aWorld;
- setRandCell;

- drawSelfOn: (id <Raster>) aRaster;

- move;
- (int) xnorm: (int) x;
- (int) ynorm: (int) y;

- grow;

@end

