#import <objectbase.h>
#import <objectbase/Swarm.h>
#import <space.h>

#import "HabitatCell.h"
#import "StupidBug.h"


@interface StupidModelSwarm: Swarm
{

  @private
     id <Zone> modelZone;

     id <ActionGroup> bugActions;
     id <ActionGroup> cellActions;
     id <Schedule> modelSchedule;
     id <List> cellList;
     id <List> bugList;

     id <Grid2d> world;
     double cellInitialFoodAvailability;
     double cellMaxFoodProductionRate;

     double bugInitSize;
     double bugMaxConsumptionRate;

}

+ create: aZone;
- buildObjects;
- buildActions;
- activateIn: swarmContext;

- getWorld;
- (id <List>) getBugList;
- (id <List>) getCellList;

@end
