#import <objectbase/SwarmObject.h>
#import <space.h>
#import <random.h>
#import <math.h>


@interface StupidBug: SwarmObject
{
  @private
    id stupidModelSwarm;
    id <Grid2d> myBugWorld;
    id <Grid2d> myCellWorld;
    int myX;
    int myY;
    double mySize;
}

+ create: aZone;

- setStupidModelSwarm: aStupidModelSwarm;
- setBugInitialSize: (double) anInitSize;
- setBugWorld: (id <Grid2d>) aWorld;
- setCellWorld: (id <Grid2d>) aWorld;
- setRandPosition;

- drawSelfOn: (id <Raster>) aRaster;

- move;
- (int) xnorm: (int) x;
- (int) ynorm: (int) y;

- grow;

@end

